CLASS AccLinePlot EXTENDS Plot (Defined in: jpgraph_line.php : 391)

AccLinePlot | Plot
AccLinePlot() Max() Min() | HideLegend() SetCenter() SetColor() SetCSIMTargets() SetLegend() SetLineWeight()

Class usage and Overview
Accumulated bar plot.
Used to create a line plot where each individual data point is the sum of the individual series data points.

Features:

1. Unlimited number of series

See also related classes:
AccBarPlot and LinePlot

Class Methods

function AccLinePlot($plots)
Constructor

Argument | Default | Description
--- | --- | ---
$plots |  | Array of line plots to use

Description
Creates a new accumulated line plot from a number of line plots.
See also
LinePlot::LinePlot

Example

$line1 = new LinePlot($datay1);
$line2 = new LinePlot($datay2);
$aline = array($line1,$line2);
$acclineplot = new AccLinePlot($aline);

function Max()
Return the max value of data points in plot.

Description
Takes into account all series and returns the maximum Y and X values for all the data series. Used internally to determine the autoscaling.
See also
Plot::Max

Example

list($xmax,$ymax) = $acclineplot->Max();

function Min()
Return the min value of all data points in plot.

Description
Takes into account all series and returns the minimum Y and X value. Used internally to determine autoscaling.
See also
BarPlot::Min and Plot::Min

Example

list($xmin,$ymin) = $acclineplot->Min()